summaryrefslogtreecommitdiffstats
path: root/unix/mkLinks
diff options
context:
space:
mode:
Diffstat (limited to 'unix/mkLinks')
-rw-r--r--unix/mkLinks878
1 files changed, 878 insertions, 0 deletions
diff --git a/unix/mkLinks b/unix/mkLinks
new file mode 100644
index 0000000..d817703
--- /dev/null
+++ b/unix/mkLinks
@@ -0,0 +1,878 @@
+#!/bin/sh
+# This script is invoked when installing manual entries. It generates
+# additional links to manual entries, corresponding to the procedure
+# and command names described by the manual entry. For example, the
+# Tcl manual entry Hash.3 describes procedures Tcl_InitHashTable,
+# Tcl_CreateHashEntry, and many more. This script will make hard
+# links so that Tcl_InitHashTable.3, Tcl_CreateHashEntry.3, and so
+# on all refer to Hash.3 in the installed directory.
+#
+# Because of the length of command and procedure names, this mechanism
+# only works on machines that support file names longer than 14 characters.
+# This script checks to see if long file names are supported, and it
+# doesn't make any links if they are not.
+#
+# The script takes one argument, which is the name of the directory
+# where the manual entries have been installed.
+
+if test $# != 1; then
+ echo "Usage: mkLinks dir"
+ exit 1
+fi
+
+cd $1
+echo foo > xyzzyTestingAVeryLongFileName.foo
+x=`echo xyzzyTe*`
+rm xyzzyTe*
+if test "$x" != "xyzzyTestingAVeryLongFileName.foo"; then
+ exit
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_3DBorderColor.3
+ ln 3DBorder.3 Tk_3DBorderColor.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_3DBorderGC.3
+ ln 3DBorder.3 Tk_3DBorderGC.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_3DHorizontalBevel.3
+ ln 3DBorder.3 Tk_3DHorizontalBevel.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_3DVerticalBevel.3
+ ln 3DBorder.3 Tk_3DVerticalBevel.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Attributes.3
+ ln WindowId.3 Tk_Attributes.3
+fi
+if test -r BindTable.3; then
+ rm -f Tk_BindEvent.3
+ ln BindTable.3 Tk_BindEvent.3
+fi
+if test -r CanvTkwin.3; then
+ rm -f Tk_CanvasDrawableCoords.3
+ ln CanvTkwin.3 Tk_CanvasDrawableCoords.3
+fi
+if test -r CanvTkwin.3; then
+ rm -f Tk_CanvasEventuallyRedraw.3
+ ln CanvTkwin.3 Tk_CanvasEventuallyRedraw.3
+fi
+if test -r CanvTkwin.3; then
+ rm -f Tk_CanvasGetCoord.3
+ ln CanvTkwin.3 Tk_CanvasGetCoord.3
+fi
+if test -r CanvPsY.3; then
+ rm -f Tk_CanvasPsBitmap.3
+ ln CanvPsY.3 Tk_CanvasPsBitmap.3
+fi
+if test -r CanvPsY.3; then
+ rm -f Tk_CanvasPsColor.3
+ ln CanvPsY.3 Tk_CanvasPsColor.3
+fi
+if test -r CanvPsY.3; then
+ rm -f Tk_CanvasPsFont.3
+ ln CanvPsY.3 Tk_CanvasPsFont.3
+fi
+if test -r CanvPsY.3; then
+ rm -f Tk_CanvasPsPath.3
+ ln CanvPsY.3 Tk_CanvasPsPath.3
+fi
+if test -r CanvPsY.3; then
+ rm -f Tk_CanvasPsStipple.3
+ ln CanvPsY.3 Tk_CanvasPsStipple.3
+fi
+if test -r CanvPsY.3; then
+ rm -f Tk_CanvasPsY.3
+ ln CanvPsY.3 Tk_CanvasPsY.3
+fi
+if test -r CanvTkwin.3; then
+ rm -f Tk_CanvasSetStippleOrigin.3
+ ln CanvTkwin.3 Tk_CanvasSetStippleOrigin.3
+fi
+if test -r CanvTkwin.3; then
+ rm -f Tk_CanvasTagsOption.3
+ ln CanvTkwin.3 Tk_CanvasTagsOption.3
+fi
+if test -r CanvTxtInfo.3; then
+ rm -f Tk_CanvasTextInfo.3
+ ln CanvTxtInfo.3 Tk_CanvasTextInfo.3
+fi
+if test -r CanvTkwin.3; then
+ rm -f Tk_CanvasTkwin.3
+ ln CanvTkwin.3 Tk_CanvasTkwin.3
+fi
+if test -r CanvTkwin.3; then
+ rm -f Tk_CanvasWindowCoords.3
+ ln CanvTkwin.3 Tk_CanvasWindowCoords.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_ChangeWindowAttributes.3
+ ln ConfigWind.3 Tk_ChangeWindowAttributes.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Changes.3
+ ln WindowId.3 Tk_Changes.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_CharBbox.3
+ ln TextLayout.3 Tk_CharBbox.3
+fi
+if test -r SetClass.3; then
+ rm -f Tk_Class.3
+ ln SetClass.3 Tk_Class.3
+fi
+if test -r ClrSelect.3; then
+ rm -f Tk_ClearSelection.3
+ ln ClrSelect.3 Tk_ClearSelection.3
+fi
+if test -r Clipboard.3; then
+ rm -f Tk_ClipboardAppend.3
+ ln Clipboard.3 Tk_ClipboardAppend.3
+fi
+if test -r Clipboard.3; then
+ rm -f Tk_ClipboardClear.3
+ ln Clipboard.3 Tk_ClipboardClear.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Colormap.3
+ ln WindowId.3 Tk_Colormap.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_ComputeTextLayout.3
+ ln TextLayout.3 Tk_ComputeTextLayout.3
+fi
+if test -r ConfigWidg.3; then
+ rm -f Tk_ConfigureInfo.3
+ ln ConfigWidg.3 Tk_ConfigureInfo.3
+fi
+if test -r ConfigWidg.3; then
+ rm -f Tk_ConfigureValue.3
+ ln ConfigWidg.3 Tk_ConfigureValue.3
+fi
+if test -r ConfigWidg.3; then
+ rm -f Tk_ConfigureWidget.3
+ ln ConfigWidg.3 Tk_ConfigureWidget.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_ConfigureWindow.3
+ ln ConfigWind.3 Tk_ConfigureWindow.3
+fi
+if test -r CoordToWin.3; then
+ rm -f Tk_CoordsToWindow.3
+ ln CoordToWin.3 Tk_CoordsToWindow.3
+fi
+if test -r BindTable.3; then
+ rm -f Tk_CreateBinding.3
+ ln BindTable.3 Tk_CreateBinding.3
+fi
+if test -r BindTable.3; then
+ rm -f Tk_CreateBindingTable.3
+ ln BindTable.3 Tk_CreateBindingTable.3
+fi
+if test -r CrtErrHdlr.3; then
+ rm -f Tk_CreateErrorHandler.3
+ ln CrtErrHdlr.3 Tk_CreateErrorHandler.3
+fi
+if test -r EventHndlr.3; then
+ rm -f Tk_CreateEventHandler.3
+ ln EventHndlr.3 Tk_CreateEventHandler.3
+fi
+if test -r CrtGenHdlr.3; then
+ rm -f Tk_CreateGenericHandler.3
+ ln CrtGenHdlr.3 Tk_CreateGenericHandler.3
+fi
+if test -r CrtImgType.3; then
+ rm -f Tk_CreateImageType.3
+ ln CrtImgType.3 Tk_CreateImageType.3
+fi
+if test -r CrtItemType.3; then
+ rm -f Tk_CreateItemType.3
+ ln CrtItemType.3 Tk_CreateItemType.3
+fi
+if test -r CrtPhImgFmt.3; then
+ rm -f Tk_CreatePhotoImageFormat.3
+ ln CrtPhImgFmt.3 Tk_CreatePhotoImageFormat.3
+fi
+if test -r CrtSelHdlr.3; then
+ rm -f Tk_CreateSelHandler.3
+ ln CrtSelHdlr.3 Tk_CreateSelHandler.3
+fi
+if test -r CrtWindow.3; then
+ rm -f Tk_CreateWindow.3
+ ln CrtWindow.3 Tk_CreateWindow.3
+fi
+if test -r CrtWindow.3; then
+ rm -f Tk_CreateWindowFromPath.3
+ ln CrtWindow.3 Tk_CreateWindowFromPath.3
+fi
+if test -r GetBitmap.3; then
+ rm -f Tk_DefineBitmap.3
+ ln GetBitmap.3 Tk_DefineBitmap.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_DefineCursor.3
+ ln ConfigWind.3 Tk_DefineCursor.3
+fi
+if test -r BindTable.3; then
+ rm -f Tk_DeleteAllBindings.3
+ ln BindTable.3 Tk_DeleteAllBindings.3
+fi
+if test -r BindTable.3; then
+ rm -f Tk_DeleteBinding.3
+ ln BindTable.3 Tk_DeleteBinding.3
+fi
+if test -r BindTable.3; then
+ rm -f Tk_DeleteBindingTable.3
+ ln BindTable.3 Tk_DeleteBindingTable.3
+fi
+if test -r CrtErrHdlr.3; then
+ rm -f Tk_DeleteErrorHandler.3
+ ln CrtErrHdlr.3 Tk_DeleteErrorHandler.3
+fi
+if test -r EventHndlr.3; then
+ rm -f Tk_DeleteEventHandler.3
+ ln EventHndlr.3 Tk_DeleteEventHandler.3
+fi
+if test -r CrtGenHdlr.3; then
+ rm -f Tk_DeleteGenericHandler.3
+ ln CrtGenHdlr.3 Tk_DeleteGenericHandler.3
+fi
+if test -r DeleteImg.3; then
+ rm -f Tk_DeleteImage.3
+ ln DeleteImg.3 Tk_DeleteImage.3
+fi
+if test -r CrtSelHdlr.3; then
+ rm -f Tk_DeleteSelHandler.3
+ ln CrtSelHdlr.3 Tk_DeleteSelHandler.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Depth.3
+ ln WindowId.3 Tk_Depth.3
+fi
+if test -r CrtWindow.3; then
+ rm -f Tk_DestroyWindow.3
+ ln CrtWindow.3 Tk_DestroyWindow.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Display.3
+ ln WindowId.3 Tk_Display.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_DisplayName.3
+ ln WindowId.3 Tk_DisplayName.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_DistanceToTextLayout.3
+ ln TextLayout.3 Tk_DistanceToTextLayout.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_Draw3DPolygon.3
+ ln 3DBorder.3 Tk_Draw3DPolygon.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_Draw3DRectangle.3
+ ln 3DBorder.3 Tk_Draw3DRectangle.3
+fi
+if test -r MeasureChar.3; then
+ rm -f Tk_DrawChars.3
+ ln MeasureChar.3 Tk_DrawChars.3
+fi
+if test -r DrawFocHlt.3; then
+ rm -f Tk_DrawFocusHighlight.3
+ ln DrawFocHlt.3 Tk_DrawFocusHighlight.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_DrawTextLayout.3
+ ln TextLayout.3 Tk_DrawTextLayout.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_Fill3DPolygon.3
+ ln 3DBorder.3 Tk_Fill3DPolygon.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_Fill3DRectangle.3
+ ln 3DBorder.3 Tk_Fill3DRectangle.3
+fi
+if test -r FindPhoto.3; then
+ rm -f Tk_FindPhoto.3
+ ln FindPhoto.3 Tk_FindPhoto.3
+fi
+if test -r FontId.3; then
+ rm -f Tk_FontId.3
+ ln FontId.3 Tk_FontId.3
+fi
+if test -r FontId.3; then
+ rm -f Tk_FontMetrics.3
+ ln FontId.3 Tk_FontMetrics.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_Free3DBorder.3
+ ln 3DBorder.3 Tk_Free3DBorder.3
+fi
+if test -r GetBitmap.3; then
+ rm -f Tk_FreeBitmap.3
+ ln GetBitmap.3 Tk_FreeBitmap.3
+fi
+if test -r GetColor.3; then
+ rm -f Tk_FreeColor.3
+ ln GetColor.3 Tk_FreeColor.3
+fi
+if test -r GetClrmap.3; then
+ rm -f Tk_FreeColormap.3
+ ln GetClrmap.3 Tk_FreeColormap.3
+fi
+if test -r GetCursor.3; then
+ rm -f Tk_FreeCursor.3
+ ln GetCursor.3 Tk_FreeCursor.3
+fi
+if test -r GetFont.3; then
+ rm -f Tk_FreeFont.3
+ ln GetFont.3 Tk_FreeFont.3
+fi
+if test -r GetGC.3; then
+ rm -f Tk_FreeGC.3
+ ln GetGC.3 Tk_FreeGC.3
+fi
+if test -r GetImage.3; then
+ rm -f Tk_FreeImage.3
+ ln GetImage.3 Tk_FreeImage.3
+fi
+if test -r ConfigWidg.3; then
+ rm -f Tk_FreeOptions.3
+ ln ConfigWidg.3 Tk_FreeOptions.3
+fi
+if test -r GetPixmap.3; then
+ rm -f Tk_FreePixmap.3
+ ln GetPixmap.3 Tk_FreePixmap.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_FreeTextLayout.3
+ ln TextLayout.3 Tk_FreeTextLayout.3
+fi
+if test -r FreeXId.3; then
+ rm -f Tk_FreeXId.3
+ ln FreeXId.3 Tk_FreeXId.3
+fi
+if test -r GeomReq.3; then
+ rm -f Tk_GeometryRequest.3
+ ln GeomReq.3 Tk_GeometryRequest.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_Get3DBorder.3
+ ln 3DBorder.3 Tk_Get3DBorder.3
+fi
+if test -r BindTable.3; then
+ rm -f Tk_GetAllBindings.3
+ ln BindTable.3 Tk_GetAllBindings.3
+fi
+if test -r GetAnchor.3; then
+ rm -f Tk_GetAnchor.3
+ ln GetAnchor.3 Tk_GetAnchor.3
+fi
+if test -r InternAtom.3; then
+ rm -f Tk_GetAtomName.3
+ ln InternAtom.3 Tk_GetAtomName.3
+fi
+if test -r BindTable.3; then
+ rm -f Tk_GetBinding.3
+ ln BindTable.3 Tk_GetBinding.3
+fi
+if test -r GetBitmap.3; then
+ rm -f Tk_GetBitmap.3
+ ln GetBitmap.3 Tk_GetBitmap.3
+fi
+if test -r GetBitmap.3; then
+ rm -f Tk_GetBitmapFromData.3
+ ln GetBitmap.3 Tk_GetBitmapFromData.3
+fi
+if test -r GetCapStyl.3; then
+ rm -f Tk_GetCapStyle.3
+ ln GetCapStyl.3 Tk_GetCapStyle.3
+fi
+if test -r GetColor.3; then
+ rm -f Tk_GetColor.3
+ ln GetColor.3 Tk_GetColor.3
+fi
+if test -r GetColor.3; then
+ rm -f Tk_GetColorByValue.3
+ ln GetColor.3 Tk_GetColorByValue.3
+fi
+if test -r GetClrmap.3; then
+ rm -f Tk_GetColormap.3
+ ln GetClrmap.3 Tk_GetColormap.3
+fi
+if test -r GetCursor.3; then
+ rm -f Tk_GetCursor.3
+ ln GetCursor.3 Tk_GetCursor.3
+fi
+if test -r GetCursor.3; then
+ rm -f Tk_GetCursorFromData.3
+ ln GetCursor.3 Tk_GetCursorFromData.3
+fi
+if test -r GetFont.3; then
+ rm -f Tk_GetFont.3
+ ln GetFont.3 Tk_GetFont.3
+fi
+if test -r GetGC.3; then
+ rm -f Tk_GetGC.3
+ ln GetGC.3 Tk_GetGC.3
+fi
+if test -r GetImage.3; then
+ rm -f Tk_GetImage.3
+ ln GetImage.3 Tk_GetImage.3
+fi
+if test -r CrtImgType.3; then
+ rm -f Tk_GetImageMasterData.3
+ ln CrtImgType.3 Tk_GetImageMasterData.3
+fi
+if test -r CrtItemType.3; then
+ rm -f Tk_GetItemTypes.3
+ ln CrtItemType.3 Tk_GetItemTypes.3
+fi
+if test -r GetJoinStl.3; then
+ rm -f Tk_GetJoinStyle.3
+ ln GetJoinStl.3 Tk_GetJoinStyle.3
+fi
+if test -r GetJustify.3; then
+ rm -f Tk_GetJustify.3
+ ln GetJustify.3 Tk_GetJustify.3
+fi
+if test -r GetOption.3; then
+ rm -f Tk_GetOption.3
+ ln GetOption.3 Tk_GetOption.3
+fi
+if test -r GetPixels.3; then
+ rm -f Tk_GetPixels.3
+ ln GetPixels.3 Tk_GetPixels.3
+fi
+if test -r GetPixmap.3; then
+ rm -f Tk_GetPixmap.3
+ ln GetPixmap.3 Tk_GetPixmap.3
+fi
+if test -r GetRelief.3; then
+ rm -f Tk_GetRelief.3
+ ln GetRelief.3 Tk_GetRelief.3
+fi
+if test -r GetRootCrd.3; then
+ rm -f Tk_GetRootCoords.3
+ ln GetRootCrd.3 Tk_GetRootCoords.3
+fi
+if test -r GetPixels.3; then
+ rm -f Tk_GetScreenMM.3
+ ln GetPixels.3 Tk_GetScreenMM.3
+fi
+if test -r GetScroll.3; then
+ rm -f Tk_GetScrollInfo.3
+ ln GetScroll.3 Tk_GetScrollInfo.3
+fi
+if test -r GetSelect.3; then
+ rm -f Tk_GetSelection.3
+ ln GetSelect.3 Tk_GetSelection.3
+fi
+if test -r GetUid.3; then
+ rm -f Tk_GetUid.3
+ ln GetUid.3 Tk_GetUid.3
+fi
+if test -r GetVRoot.3; then
+ rm -f Tk_GetVRootGeometry.3
+ ln GetVRoot.3 Tk_GetVRootGeometry.3
+fi
+if test -r GetVisual.3; then
+ rm -f Tk_GetVisual.3
+ ln GetVisual.3 Tk_GetVisual.3
+fi
+if test -r HandleEvent.3; then
+ rm -f Tk_HandleEvent.3
+ ln HandleEvent.3 Tk_HandleEvent.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Height.3
+ ln WindowId.3 Tk_Height.3
+fi
+if test -r IdToWindow.3; then
+ rm -f Tk_IdToWindow.3
+ ln IdToWindow.3 Tk_IdToWindow.3
+fi
+if test -r ImgChanged.3; then
+ rm -f Tk_ImageChanged.3
+ ln ImgChanged.3 Tk_ImageChanged.3
+fi
+if test -r InternAtom.3; then
+ rm -f Tk_InternAtom.3
+ ln InternAtom.3 Tk_InternAtom.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_InternalBorderWidth.3
+ ln WindowId.3 Tk_InternalBorderWidth.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_IntersectTextLayout.3
+ ln TextLayout.3 Tk_IntersectTextLayout.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_IsMapped.3
+ ln WindowId.3 Tk_IsMapped.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_IsTopLevel.3
+ ln WindowId.3 Tk_IsTopLevel.3
+fi
+if test -r MainLoop.3; then
+ rm -f Tk_MainLoop.3
+ ln MainLoop.3 Tk_MainLoop.3
+fi
+if test -r MainWin.3; then
+ rm -f Tk_MainWindow.3
+ ln MainWin.3 Tk_MainWindow.3
+fi
+if test -r MaintGeom.3; then
+ rm -f Tk_MaintainGeometry.3
+ ln MaintGeom.3 Tk_MaintainGeometry.3
+fi
+if test -r CrtWindow.3; then
+ rm -f Tk_MakeWindowExist.3
+ ln CrtWindow.3 Tk_MakeWindowExist.3
+fi
+if test -r ManageGeom.3; then
+ rm -f Tk_ManageGeometry.3
+ ln ManageGeom.3 Tk_ManageGeometry.3
+fi
+if test -r MapWindow.3; then
+ rm -f Tk_MapWindow.3
+ ln MapWindow.3 Tk_MapWindow.3
+fi
+if test -r MeasureChar.3; then
+ rm -f Tk_MeasureChars.3
+ ln MeasureChar.3 Tk_MeasureChars.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_MoveResizeWindow.3
+ ln ConfigWind.3 Tk_MoveResizeWindow.3
+fi
+if test -r MoveToplev.3; then
+ rm -f Tk_MoveToplevelWindow.3
+ ln MoveToplev.3 Tk_MoveToplevelWindow.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_MoveWindow.3
+ ln ConfigWind.3 Tk_MoveWindow.3
+fi
+if test -r Name.3; then
+ rm -f Tk_Name.3
+ ln Name.3 Tk_Name.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_NameOf3DBorder.3
+ ln 3DBorder.3 Tk_NameOf3DBorder.3
+fi
+if test -r GetAnchor.3; then
+ rm -f Tk_NameOfAnchor.3
+ ln GetAnchor.3 Tk_NameOfAnchor.3
+fi
+if test -r GetBitmap.3; then
+ rm -f Tk_NameOfBitmap.3
+ ln GetBitmap.3 Tk_NameOfBitmap.3
+fi
+if test -r GetCapStyl.3; then
+ rm -f Tk_NameOfCapStyle.3
+ ln GetCapStyl.3 Tk_NameOfCapStyle.3
+fi
+if test -r GetColor.3; then
+ rm -f Tk_NameOfColor.3
+ ln GetColor.3 Tk_NameOfColor.3
+fi
+if test -r GetCursor.3; then
+ rm -f Tk_NameOfCursor.3
+ ln GetCursor.3 Tk_NameOfCursor.3
+fi
+if test -r GetFont.3; then
+ rm -f Tk_NameOfFont.3
+ ln GetFont.3 Tk_NameOfFont.3
+fi
+if test -r NameOfImg.3; then
+ rm -f Tk_NameOfImage.3
+ ln NameOfImg.3 Tk_NameOfImage.3
+fi
+if test -r GetJoinStl.3; then
+ rm -f Tk_NameOfJoinStyle.3
+ ln GetJoinStl.3 Tk_NameOfJoinStyle.3
+fi
+if test -r GetJustify.3; then
+ rm -f Tk_NameOfJustify.3
+ ln GetJustify.3 Tk_NameOfJustify.3
+fi
+if test -r GetRelief.3; then
+ rm -f Tk_NameOfRelief.3
+ ln GetRelief.3 Tk_NameOfRelief.3
+fi
+if test -r Name.3; then
+ rm -f Tk_NameToWindow.3
+ ln Name.3 Tk_NameToWindow.3
+fi
+if test -r ConfigWidg.3; then
+ rm -f Tk_Offset.3
+ ln ConfigWidg.3 Tk_Offset.3
+fi
+if test -r OwnSelect.3; then
+ rm -f Tk_OwnSelection.3
+ ln OwnSelect.3 Tk_OwnSelection.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Parent.3
+ ln WindowId.3 Tk_Parent.3
+fi
+if test -r ParseArgv.3; then
+ rm -f Tk_ParseArgv.3
+ ln ParseArgv.3 Tk_ParseArgv.3
+fi
+if test -r Name.3; then
+ rm -f Tk_PathName.3
+ ln Name.3 Tk_PathName.3
+fi
+if test -r FindPhoto.3; then
+ rm -f Tk_PhotoBlank.3
+ ln FindPhoto.3 Tk_PhotoBlank.3
+fi
+if test -r FindPhoto.3; then
+ rm -f Tk_PhotoExpand.3
+ ln FindPhoto.3 Tk_PhotoExpand.3
+fi
+if test -r FindPhoto.3; then
+ rm -f Tk_PhotoGetImage.3
+ ln FindPhoto.3 Tk_PhotoGetImage.3
+fi
+if test -r FindPhoto.3; then
+ rm -f Tk_PhotoGetSize.3
+ ln FindPhoto.3 Tk_PhotoGetSize.3
+fi
+if test -r FindPhoto.3; then
+ rm -f Tk_PhotoPutBlock.3
+ ln FindPhoto.3 Tk_PhotoPutBlock.3
+fi
+if test -r FindPhoto.3; then
+ rm -f Tk_PhotoPutZoomedBlock.3
+ ln FindPhoto.3 Tk_PhotoPutZoomedBlock.3
+fi
+if test -r FindPhoto.3; then
+ rm -f Tk_PhotoSetSize.3
+ ln FindPhoto.3 Tk_PhotoSetSize.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_PointToChar.3
+ ln TextLayout.3 Tk_PointToChar.3
+fi
+if test -r FontId.3; then
+ rm -f Tk_PostscriptFontName.3
+ ln FontId.3 Tk_PostscriptFontName.3
+fi
+if test -r QWinEvent.3; then
+ rm -f Tk_QueueWindowEvent.3
+ ln QWinEvent.3 Tk_QueueWindowEvent.3
+fi
+if test -r GetImage.3; then
+ rm -f Tk_RedrawImage.3
+ ln GetImage.3 Tk_RedrawImage.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_ReqHeight.3
+ ln WindowId.3 Tk_ReqHeight.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_ReqWidth.3
+ ln WindowId.3 Tk_ReqWidth.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_ResizeWindow.3
+ ln ConfigWind.3 Tk_ResizeWindow.3
+fi
+if test -r Restack.3; then
+ rm -f Tk_RestackWindow.3
+ ln Restack.3 Tk_RestackWindow.3
+fi
+if test -r RestrictEv.3; then
+ rm -f Tk_RestrictEvents.3
+ ln RestrictEv.3 Tk_RestrictEvents.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Screen.3
+ ln WindowId.3 Tk_Screen.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_ScreenNumber.3
+ ln WindowId.3 Tk_ScreenNumber.3
+fi
+if test -r SetAppName.3; then
+ rm -f Tk_SetAppName.3
+ ln SetAppName.3 Tk_SetAppName.3
+fi
+if test -r 3DBorder.3; then
+ rm -f Tk_SetBackgroundFromBorder.3
+ ln 3DBorder.3 Tk_SetBackgroundFromBorder.3
+fi
+if test -r SetClass.3; then
+ rm -f Tk_SetClass.3
+ ln SetClass.3 Tk_SetClass.3
+fi
+if test -r SetGrid.3; then
+ rm -f Tk_SetGrid.3
+ ln SetGrid.3 Tk_SetGrid.3
+fi
+if test -r GeomReq.3; then
+ rm -f Tk_SetInternalBorder.3
+ ln GeomReq.3 Tk_SetInternalBorder.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_SetWindowBackground.3
+ ln ConfigWind.3 Tk_SetWindowBackground.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_SetWindowBackgroundPixmap.3
+ ln ConfigWind.3 Tk_SetWindowBackgroundPixmap.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_SetWindowBorder.3
+ ln ConfigWind.3 Tk_SetWindowBorder.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_SetWindowBorderPixmap.3
+ ln ConfigWind.3 Tk_SetWindowBorderPixmap.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_SetWindowBorderWidth.3
+ ln ConfigWind.3 Tk_SetWindowBorderWidth.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_SetWindowColormap.3
+ ln ConfigWind.3 Tk_SetWindowColormap.3
+fi
+if test -r SetVisual.3; then
+ rm -f Tk_SetWindowVisual.3
+ ln SetVisual.3 Tk_SetWindowVisual.3
+fi
+if test -r GetBitmap.3; then
+ rm -f Tk_SizeOfBitmap.3
+ ln GetBitmap.3 Tk_SizeOfBitmap.3
+fi
+if test -r GetImage.3; then
+ rm -f Tk_SizeOfImage.3
+ ln GetImage.3 Tk_SizeOfImage.3
+fi
+if test -r StrictMotif.3; then
+ rm -f Tk_StrictMotif.3
+ ln StrictMotif.3 Tk_StrictMotif.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_TextLayoutToPostscript.3
+ ln TextLayout.3 Tk_TextLayoutToPostscript.3
+fi
+if test -r MeasureChar.3; then
+ rm -f Tk_TextWidth.3
+ ln MeasureChar.3 Tk_TextWidth.3
+fi
+if test -r GetUid.3; then
+ rm -f Tk_Uid.3
+ ln GetUid.3 Tk_Uid.3
+fi
+if test -r ConfigWind.3; then
+ rm -f Tk_UndefineCursor.3
+ ln ConfigWind.3 Tk_UndefineCursor.3
+fi
+if test -r MeasureChar.3; then
+ rm -f Tk_UnderlineChars.3
+ ln MeasureChar.3 Tk_UnderlineChars.3
+fi
+if test -r TextLayout.3; then
+ rm -f Tk_UnderlineTextLayout.3
+ ln TextLayout.3 Tk_UnderlineTextLayout.3
+fi
+if test -r MaintGeom.3; then
+ rm -f Tk_UnmaintainGeometry.3
+ ln MaintGeom.3 Tk_UnmaintainGeometry.3
+fi
+if test -r MapWindow.3; then
+ rm -f Tk_UnmapWindow.3
+ ln MapWindow.3 Tk_UnmapWindow.3
+fi
+if test -r SetGrid.3; then
+ rm -f Tk_UnsetGrid.3
+ ln SetGrid.3 Tk_UnsetGrid.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Visual.3
+ ln WindowId.3 Tk_Visual.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Width.3
+ ln WindowId.3 Tk_Width.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_WindowId.3
+ ln WindowId.3 Tk_WindowId.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_X.3
+ ln WindowId.3 Tk_X.3
+fi
+if test -r WindowId.3; then
+ rm -f Tk_Y.3
+ ln WindowId.3 Tk_Y.3
+fi
+if test -r menubar.n; then
+ rm -f tk_bindForTraversal.n
+ ln menubar.n tk_bindForTraversal.n
+fi
+if test -r palette.n; then
+ rm -f tk_bisque.n
+ ln palette.n tk_bisque.n
+fi
+if test -r chooseColor.n; then
+ rm -f tk_chooseColor.n
+ ln chooseColor.n tk_chooseColor.n
+fi
+if test -r dialog.n; then
+ rm -f tk_dialog.n
+ ln dialog.n tk_dialog.n
+fi
+if test -r focusNext.n; then
+ rm -f tk_focusFollowsMouse.n
+ ln focusNext.n tk_focusFollowsMouse.n
+fi
+if test -r focusNext.n; then
+ rm -f tk_focusNext.n
+ ln focusNext.n tk_focusNext.n
+fi
+if test -r focusNext.n; then
+ rm -f tk_focusPrev.n
+ ln focusNext.n tk_focusPrev.n
+fi
+if test -r getOpenFile.n; then
+ rm -f tk_getOpenFile.n
+ ln getOpenFile.n tk_getOpenFile.n
+fi
+if test -r getOpenFile.n; then
+ rm -f tk_getSaveFile.n
+ ln getOpenFile.n tk_getSaveFile.n
+fi
+if test -r menubar.n; then
+ rm -f tk_menuBar.n
+ ln menubar.n tk_menuBar.n
+fi
+if test -r messageBox.n; then
+ rm -f tk_messageBox.n
+ ln messageBox.n tk_messageBox.n
+fi
+if test -r optionMenu.n; then
+ rm -f tk_optionMenu.n
+ ln optionMenu.n tk_optionMenu.n
+fi
+if test -r popup.n; then
+ rm -f tk_popup.n
+ ln popup.n tk_popup.n
+fi
+if test -r palette.n; then
+ rm -f tk_setPalette.n
+ ln palette.n tk_setPalette.n
+fi
+exit 0